/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-07-19
 * 描述            ：客户满意度调查分项基础表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Slm.CustomerInformation.vo;
import java.io.Serializable;
import java.util.Date;

import market.Slm.CustomerInformation.mapper.SlmCustomerSatBaseItemMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CUSTOMER_SAT_BASE_ITEM", namespace=SlmCustomerSatBaseItemMapper.class)
public class SlmCustomerSatBaseItem extends BaseVO implements Serializable {
	/** 
	 * 分项编号
	 */ 
	@Id
	private String item_no;
	public String getItem_no() {
		return this.item_no;
	}
	public void setItem_no(String item_no) {
		this.item_no = item_no;
	}

	/** 
	 * 模板编号
	 */ 
	@Column
	private String sat_no;
	public String getSat_no() {
		return this.sat_no;
	}
	public void setSat_no(String sat_no) {
		this.sat_no = sat_no;
	}

	/** 
	 * 序号
	 */ 
	@Column
	private Long order_no;
	public Long getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(Long order_no) {
		this.order_no = order_no;
	}

	/** 
	 * 分项名称
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * 父分项编号
	 */ 
	@Column
	private String p_item_no;
	public String getP_item_no() {
		return this.p_item_no;
	}
	public void setP_item_no(String p_item_no) {
		this.p_item_no = p_item_no;
	}

	/** 
	 * 状态 1有效 2无效
	 */ 
	@Column
	private String value_standard;
	public String getValue_standard() {
		return this.value_standard;
	}
	public void setValue_standard(String value_standard) {
		this.value_standard = value_standard;
	}

	/** 
	 * null
	 */ 
	@Column
	private String create_man_no;
	public String getCreate_man_no() {
		return this.create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}
	
	/** 
	 * null
	 */ 
	@Column
	private String create_man_name;
	public String getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String update_man_name;
	public String getUpdate_man_name() {
		return this.update_man_name;
	}
	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}
	
	/** 
	 * null
	 */ 
	@Column
	private String update_man_no;
	public String getUpdate_man_no() {
		return this.update_man_no;
	}
	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

}
